Typedefs | Functions

# string_.h File Reference

`#include <stdarg.h>`
`#include "wizard/exception.h"`

Go to the source code of this file.

## Typedefs
typedef struct _StringInfo | StringInfo
## Functions
WizardExport char * | AcquireString (const char *)
WizardExport char ** | CloneString (char **, const char *)
WizardExport char *** | ConstantString (const char *)
WizardExport char **** | DestroyString (char *)
WizardExport char ****** | DestroyStringList (char **)
WizardExport char ******* | FileToString (const char *, const size_t, ExceptionInfo *)
WizardExport char ******** | GetEnvironmentValue (const char *)
WizardExport char ********* | StringInfoToHexString (const StringInfo *)
WizardExport char ********** | StringInfoToString (const StringInfo *)
WizardExport char ************ | StringToArgv (const char *, int *)
WizardExport const char * | GetStringInfoPath (const StringInfo *)
WizardExport int | CompareStringInfo (const StringInfo *, const StringInfo *)
WizardExport int | LocaleCompare (const char *, const char *)
WizardExport int | LocaleNCompare (const char *, const char *, const size_t)
WizardExport size_t | ConcatenateWizardString (char *, const char *, const size_t) wizard_attribute((nonnull))
WizardExport size_t | CopyWizardString (char *, const char *, const size_t) wizard_attribute((nonnull))
WizardExport ssize_t | FormatWizardSize (const WizardSizeType, const WizardBooleanType, char *)
WizardExport ssize_t | FormatWizardString (char *, const size_t, const char *,...) wizard_attribute((format(printf
WizardExport ssize_t | FormatWizardStringList (char *, const size_t, const char *, va_list)
WizardExport ssize_t | PrintWizardString (FILE *, const char *,...) wizard_attribute((format(printf
WizardExport ssize_t | FormatWizardTime (const time_t, const size_t, char *)
WizardExport size_t | GetStringInfoLength (const StringInfo *)
WizardExport StringInfo * | AcquireStringInfo (const size_t)
WizardExport StringInfo ** | CloneStringInfo (const StringInfo *)
WizardExport StringInfo *** | ConfigureFileToStringInfo (const char *)
WizardExport StringInfo **** | DestroyStringInfo (StringInfo *)
WizardExport StringInfo ***** | FileToStringInfo (const char *, const size_t, ExceptionInfo *)
WizardExport StringInfo ****** | HexStringToStringInfo (const char *)
WizardExport StringInfo ******* | SplitStringInfo (StringInfo *, const size_t)
WizardExport StringInfo ******** | StringToStringInfo (const char *)
WizardExport unsigned char * | GetStringInfoDatum (const StringInfo *)
WizardExport WizardBooleanType | ConcatenateString (char **, const char *) wizard_attribute((nonnull))
WizardExport WizardBooleanType | SubstituteString (char **, const char *, const char *)
WizardExport WizardSizeType | GetStringInfoCRC (const StringInfo *)
WizardExport void | ConcatenateStringInfo (StringInfo *, const StringInfo *) wizard_attribute((nonnull))
WizardExport void | LocaleLower (char *)
WizardExport void | PrintStringInfo (FILE *, const char *, const StringInfo *)
WizardExport void | ResetStringInfo (StringInfo *)
WizardExport void | SetStringInfoDatum (StringInfo *, const unsigned char *)
WizardExport void | SetStringInfo (StringInfo *, const StringInfo *)
WizardExport void | SetStringInfoLength (StringInfo *, const size_t)
WizardExport void | SetStringInfoPath (StringInfo *, const char *)
WizardExport void | StripString (char *)

## Typedef Documentation

typedef struct _StringInfo StringInfo

## Function Documentation

WizardExport char* AcquireString | ( | const char * |  | ) |

WizardExport StringInfo* AcquireStringInfo | ( | const | size_t | ) |

WizardExport char* * CloneString | ( | char ** | ,
|  | const char * |  |
| ) |  |  |

WizardExport StringInfo* * CloneStringInfo | ( | const StringInfo * |  | ) |

WizardExport int CompareStringInfo | ( | const StringInfo * | ,
|  | const StringInfo * |  |
| ) |  |  |

WizardExport WizardBooleanType ConcatenateString | ( | char ** | ,
|  | const char * |  |
| ) |  |  |

WizardExport void ConcatenateStringInfo | ( | StringInfo * | ,
|  | const StringInfo * |  |
| ) |  |  |

WizardExport size_t ConcatenateWizardString | ( | char * | ,
|  | const char * | ,
|  | const | size_t |
| ) |  |  |

WizardExport StringInfo* * * ConfigureFileToStringInfo | ( | const char * |  | ) |

WizardExport char* * * ConstantString | ( | const char * |  | ) |

WizardExport size_t CopyWizardString | ( | char * | ,
|  | const char * | ,
|  | const | size_t |
| ) |  |  |

Referenced by AcquireFileInfo(), AppendFileExtension(), ConfigureFileToStringInfo(), FileToStringInfo(), GetConfigureOptions(), GetConfigurePaths(), GetExceptionMessage(), GetExecutionPath(), GetPathComponent(), GetPathComponents(), GetPathTemplate(), GetWizardToken(), ListWizardResourceInfo(), LoadConfigureLists(), LoadLogList(), LoadMimeList(), OpenBlob(), ParseEntities(), ParseProcessingInstructions(), ParseWizardOption(), SetClientName(), SetClientPath(), SetLogName(), SetStringInfoPath(), TranslateEvent(), TranslateFilename(), and WizardsToolkitGenesis().

WizardExport char* * * * DestroyString | ( | char * |  | ) |

WizardExport StringInfo* * * * DestroyStringInfo | ( | StringInfo * |  | ) |

WizardExport char* * * * ** DestroyStringList | ( | char ** |  | ) |

WizardExport char* * * * ** * FileToString | ( | const char * | ,
|  | const | size_t,
|  | ExceptionInfo * |  |
| ) |  |  |

WizardExport StringInfo* * * * * FileToStringInfo | ( | const char * | ,
|  | const | size_t,
|  | ExceptionInfo * |  |
| ) |  |  |

WizardExport ssize_t FormatWizardSize | ( | const | WizardSizeType,
|  | const | WizardBooleanType,
|  | char * |  |
| ) |  |  |

WizardExport ssize_t FormatWizardString | ( | char * | ,
|  | const | size_t,
|  | const char * | ,
|  |  | ... |
| ) |  |  |

WizardExport ssize_t FormatWizardStringList | ( | char * | ,
|  | const | size_t,
|  | const char * | ,
|  | va_list |  |
| ) |  |  |

WizardExport ssize_t FormatWizardTime | ( | const | time_t,
|  | const | size_t,
|  | char * |  |
| ) |  |  |

References FormatWizardString().

Referenced by PrintKeyringProperties(), and TranslateEvent().

WizardExport char* * * * ** * * GetEnvironmentValue | ( | const char * |  | ) |

WizardExport WizardSizeType GetStringInfoCRC | ( | const StringInfo * |  | ) |

References AcquireCRC64Info(), DestroyCRC64Info(), FinalizeCRC64(), GetCRC64CyclicRedundancyCheck(), GetWizardModule, InitializeCRC64(), LogWizardEvent(), _StringInfo::signature, StringDomain, TraceEvent, UpdateCRC64(), WizardAssert, and WizardSignature.

Referenced by GenerateEntropicChaos(), GetEntropyFromReservoir(), and SaveEntropyToReservoir().

WizardExport unsigned char* GetStringInfoDatum | ( | const StringInfo * |  | ) |

References _StringInfo::datum, _StringInfo::signature, StringDomain, WizardAssert, and WizardSignature.

Referenced by AcquireRandomInfo(), AcquireUniqueFileResource(), DecipherCBCMode(), DecipherCFBMode(), DecipherCTRMode(), DecipherECBMode(), DecipherOFBMode(), EncipherCBCMode(), EncipherCFBMode(), EncipherCTRMode(), EncipherECBMode(), EncipherOFBMode(), ExportKeyringKey(), FinalizeCRC64(), FinalizeMD5(), FinalizeSHA1(), FinalizeSHA224(), FinalizeSHA256(), FinalizeSHA384(), FinalizeSHA512(), GenerateCipherNonce(), GenerateEntropicChaos(), GetEntropyFromReservoir(), GetHashHexDigest(), GetPhrase(), GetRandomKey(), HashStringInfoType(), HashStringType(), ImportKeyringKey(), IncreaseBZIP(), IncreaseLZMA(), IncreaseZIP(), IncrementRandomNonce(), InitializeHMAC(), LoadConfigureLists(), LoadLogLists(), LoadMimeLists(), PrintKeyringProperties(), RestoreBZIP(), RestoreLZMA(), RestoreZIP(), SaveEntropyToReservoir(), SetAESKey(), SetRandomKey(), SetSerpentKey(), SetTwofishKey(), TransformSHA1(), TransformSHA224(), TransformSHA256(), TransformSHA384(), TransformSHA512(), UpdateCRC64(), UpdateMD5(), UpdateSHA1(), UpdateSHA224(), UpdateSHA256(), UpdateSHA384(), and UpdateSHA512().

WizardExport size_t GetStringInfoLength | ( | const StringInfo * |  | ) |

References _StringInfo::length, _StringInfo::signature, StringDomain, WizardAssert, and WizardSignature.

Referenced by AcquireRandomInfo(), AcquireUniqueFileResource(), DecipherCBCMode(), DecipherCFBMode(), DecipherCTRMode(), DecipherECBMode(), DecipherOFBMode(), EncipherCBCMode(), EncipherCFBMode(), EncipherCTRMode(), EncipherECBMode(), EncipherOFBMode(), ExportKeyringKey(), FinalizeMD5(), FinalizeSHA1(), FinalizeSHA224(), FinalizeSHA256(), FinalizeSHA384(), FinalizeSHA512(), GenerateEntropicChaos(), GetEntropyFromReservoir(), GetPassphrase(), GetPhrase(), HashStringInfoType(), HashStringType(), ImportKeyringKey(), IncreaseBZIP(), IncreaseLZMA(), IncreaseZIP(), IncrementRandomNonce(), InitializeHMAC(), PrintKeyringProperties(), RestoreBZIP(), RestoreLZMA(), RestoreZIP(), SaveEntropyToReservoir(), SetAESKey(), SetSerpentKey(), SetTwofishKey(), UpdateCRC64(), UpdateMD5(), UpdateSHA1(), UpdateSHA224(), UpdateSHA256(), UpdateSHA384(), and UpdateSHA512().

WizardExport const char* GetStringInfoPath | ( | const StringInfo * |  | ) |

References _StringInfo::path, _StringInfo::signature, StringDomain, WizardAssert, and WizardSignature.

Referenced by LoadConfigureLists(), LoadLogLists(), and LoadMimeLists().

WizardExport StringInfo* * * * * * HexStringToStringInfo | ( | const char * |  | ) |

WizardExport int LocaleCompare | ( | const char * | ,
|  | const char * |  |
| ) |  |  |

WizardExport void LocaleLower | ( | char * |  | ) |

WizardExport int LocaleNCompare | ( | const char * | ,
|  | const char * | ,
|  | const | size_t |
| ) |  |  |

References AsciiMap, and strncasecmp.

Referenced by GetWizardToken(), LoadLogList(), OpenBlob(), and ParseLogHandlers().

WizardExport void PrintStringInfo | ( | FILE * | ,
|  | const char * | ,
|  | const StringInfo * |  |
| ) |  |  |

WizardExport ssize_t PrintWizardString | ( | FILE * | ,
|  | const char * | ,
|  |  | ... |
| ) |  |  |

WizardExport void ResetStringInfo | ( | StringInfo * |  | ) |

WizardExport void SetStringInfo | ( | StringInfo * | ,
|  | const StringInfo * |  |
| ) |  |  |

WizardExport void SetStringInfoDatum | ( | StringInfo * | ,
|  | const unsigned char * |  |
| ) |  |  |

WizardExport void SetStringInfoLength | ( | StringInfo * | ,
|  | const | size_t |
| ) |  |  |

WizardExport void SetStringInfoPath | ( | StringInfo * | ,
|  | const char * |  |
| ) |  |  |

WizardExport StringInfo* * * * * * * SplitStringInfo | ( | StringInfo * | ,
|  | const | size_t |
| ) |  |  |

WizardExport char* * * * ** * * * StringInfoToHexString | ( | const StringInfo * |  | ) |

WizardExport char* * * * ** * * * * StringInfoToString | ( | const StringInfo * |  | ) |

WizardExport char* * * * ** * * * * ** StringToArgv | ( | const char * | ,
|  | int * |  |
| ) |  |  |

References AcquireQuantumMemory(), WizardPathExtent, RelinquishWizardMemory(), ResourceFatalError, StringFatalError, and ThrowFatalException.

WizardExport StringInfo* * * * * * * * StringToStringInfo | ( | const char * |  | ) |

References AcquireStringInfo(), GetWizardModule, LogWizardEvent(), SetStringInfoDatum(), StringDomain, TraceEvent, and WizardAssert.

Referenced by GenerateEntropicChaos(), GetConfigureOptions(), and HashStringType().

WizardExport void StripString | ( | char * |  | ) |

WizardExport WizardBooleanType SubstituteString | ( | char ** | ,
|  | const char * | ,
|  | const char * |  |
| ) |  |  |

References CopyWizardMemory(), WizardPathExtent, ResizeQuantumMemory(), ResourceFatalError, and ThrowFatalException.

Referenced by LoadMimeList().